Managed Service for OpenSearch API, REST: Cluster.Restore
- HTTP request
- Body parameters
- ConfigCreateSpec
- OpenSearchCreateSpec
- NodeGroup
- Resources
- DiskSizeAutoscaling
- OpenSearchConfig2
- KeystoreSetting
- DashboardsCreateSpec
- NodeGroup
- Access
- SnapshotManagement
- SnapshotSchedule
- HourlySnapshotSchedule
- DailySnapshotSchedule
- WeeklySnapshotSchedule
- AuditLog
- MaintenanceWindow
- WeeklyMaintenanceWindow
- Response
- Status
Creates a new OpenSearch cluster using the specified backup.
HTTP request
POST https://mdb.api.cloud.yandex.net/managed-opensearch/v1/clusters:restore
Body parameters
{
"backupId": "string",
"name": "string",
"description": "string",
"labels": "object",
"environment": "string",
"configSpec": {
"version": "string",
"adminPassword": "string",
"opensearchSpec": {
"plugins": [
"string"
],
"nodeGroups": [
{
"name": "string",
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"hostsCount": "string",
"zoneIds": [
"string"
],
"subnetIds": [
"string"
],
"assignPublicIp": "boolean",
"roles": [
"string"
],
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
}
],
// Includes only one of the fields `opensearchConfig_2`
"opensearchConfig_2": {
"maxClauseCount": "string",
"fielddataCacheSize": "string",
"searchMaxBuckets": "string",
"reindexRemoteWhitelist": "string",
"httpMaxInitialLineLength": "string"
},
// end of the list of possible fields
"keystoreSettings": [
{
"name": "string",
"value": "string"
}
]
},
"dashboardsSpec": {
"nodeGroups": [
{
"name": "string",
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"hostsCount": "string",
"zoneIds": [
"string"
],
"subnetIds": [
"string"
],
"assignPublicIp": "boolean",
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
}
]
},
"access": {
"dataTransfer": "boolean",
"serverless": "boolean"
},
"snapshotManagement": {
"snapshotSchedule": {
// Includes only one of the fields `hourlySnapshotSchedule`, `dailySnapshotSchedule`, `weeklySnapshotSchedule`
"hourlySnapshotSchedule": {
"minute": "string"
},
"dailySnapshotSchedule": {
"hour": "string",
"minute": "string"
},
"weeklySnapshotSchedule": {
"day": "string",
"hour": "string",
"minute": "string"
}
// end of the list of possible fields
},
"snapshotMaxAgeDays": "string"
},
"auditLog": {
"complianceEnabled": "boolean",
"logRequestBody": "boolean",
"logSearchQueries": "boolean",
"logDataModifications": "boolean",
"logIndexMetadataAccess": "boolean",
"logMonitoringChecks": "boolean",
"logIndexMaintenance": "boolean",
"logBackupOperations": "boolean"
}
},
"networkId": "string",
"securityGroupIds": [
"string"
],
"serviceAccountId": "string",
"deletionProtection": "boolean",
"folderId": "string",
"maintenanceWindow": {
// Includes only one of the fields `anytime`, `weeklyMaintenanceWindow`
"anytime": "object",
"weeklyMaintenanceWindow": {
"day": "string",
"hour": "string"
}
// end of the list of possible fields
},
"diskEncryptionKeyId": "string"
}
|
Field |
Description |
|
backupId |
string Required field. ID of the backup to create a new cluster from. |
|
name |
string Required field. Name of the new OpenSearch cluster to be created from the backup. The name must be unique within the folder. The maximum string length in characters is 63. Value must match the regular expression |
|
description |
string Description of the new OpenSearch cluster to be created from the backup. The maximum string length in characters is 256. |
|
labels |
object (map<string, string>) Custom labels for the new OpenSearch cluster to be created from the backup as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
environment |
enum (Environment) Deployment environment of the new OpenSearch cluster to be created from the backup.
|
|
configSpec |
Required field. Configuration for the new OpenSearch cluster to be created from the backup. |
|
networkId |
string Required field. ID of the network to create the cluster in. The maximum string length in characters is 50. |
|
securityGroupIds[] |
string User security groups. |
|
serviceAccountId |
string ID of the service account used to access Object Storage. |
|
deletionProtection |
boolean Determines whether the cluster is protected from being deleted. |
|
folderId |
string Required field. ID of the folder to create the OpenSearch cluster in. The maximum string length in characters is 50. |
|
maintenanceWindow |
Cluster maintenance window. Should be defined by either one of the two options. |
|
diskEncryptionKeyId |
string ID of the key to encrypt cluster disks. |
ConfigCreateSpec
|
Field |
Description |
|
version |
string OpenSearch version. |
|
adminPassword |
string Required field. OpenSearch admin password. The string length in characters must be 10-72. |
|
opensearchSpec |
OpenSearch configuration. |
|
dashboardsSpec |
Dashboards configuration. |
|
access |
Access policy for external services. |
|
snapshotManagement |
Snapshot management configuration. |
|
auditLog |
Audit log settings. |
OpenSearchCreateSpec
OpenSearch create-time configuration.
|
Field |
Description |
|
plugins[] |
string Names of the cluster plugins. |
|
nodeGroups[] |
OpenSearch type host groups of the cluster. |
|
opensearchConfig_2 |
OpenSearch server configuration settings. Includes only one of the fields |
|
keystoreSettings[] |
Initial cluster keystore settings. |
NodeGroup
Configuration of the host group.
|
Field |
Description |
|
name |
string Required field. Name of the group. The maximum string length in characters is 63. Value must match the regular expression |
|
resources |
Resources allocated to the hosts. |
|
hostsCount |
string (int64) Number of hosts in the group. The minimum value is 1. |
|
zoneIds[] |
string IDs of the availability zones the hosts belong to. The maximum string length in characters for each value is 50. The maximum number of elements is 10. |
|
subnetIds[] |
string IDs of the subnets that the hosts belong to. The maximum string length in characters for each value is 50. The maximum number of elements is 10. |
|
assignPublicIp |
boolean Determines whether a public IP is assigned to the hosts in the group. |
|
roles[] |
enum (GroupRole) Roles of the hosts in the group.
|
|
diskSizeAutoscaling |
Disk size autoscaling settings |
Resources
A list of computational resources allocated to a host.
|
Field |
Description |
|
resourcePresetId |
string Required field. ID of the preset for computational resources allocated to a host. |
|
diskSize |
string (int64) Volume of the storage used by the host, in bytes. Value must be greater than 0. |
|
diskTypeId |
string Required field. Type of the storage used by the host: |
DiskSizeAutoscaling
Disk size autoscaling settings.
|
Field |
Description |
|
plannedUsageThreshold |
string (int64) Amount of used storage for automatic disk scaling in the maintenance window, 0 means disabled, in percent. Acceptable values are 0 to 100, inclusive. |
|
emergencyUsageThreshold |
string (int64) Amount of used storage for immediately automatic disk scaling, 0 means disabled, in percent. Acceptable values are 0 to 100, inclusive. |
|
diskSizeLimit |
string (int64) Limit on how large the storage for database instances can automatically grow, in bytes. |
OpenSearchConfig2
OpenSearch server configuration settings.
|
Field |
Description |
|
maxClauseCount |
string (int64) Defines the maximum product of fields and terms that are queryable simultaneously. Default value: 1024. Change of the setting is applied with restart. For details, see OpenSearch documentation |
|
fielddataCacheSize |
string The maximum size of the field data cache. Change of the setting is applied with restart. For details, see OpenSearch documentation |
|
searchMaxBuckets |
string (int64) The maximum number of aggregation buckets allowed in a single response. Default is 65535 Default value: 65535. Change of the setting is applied with restart. For details, see OpenSearch documentation |
|
reindexRemoteWhitelist |
string Allowed remote hosts Change of the setting is applied with restart. For details, see OpenSearch documentation |
|
httpMaxInitialLineLength |
string Sets the maximum length allowed for HTTP URLs in the initial request line. URLs exceeding this limit will be rejected. Default is 4kb. Default value: 4kb. Change of the setting is applied with restart. For details, see OpenSearch documentation |
KeystoreSetting
Single keystore entry.
|
Field |
Description |
|
name |
string Required field. Keystore entry name. |
|
value |
string Required field. Keystore entry value. |
DashboardsCreateSpec
Dashboards create-time configuration.
|
Field |
Description |
|
nodeGroups[] |
Dashboards type host groups of the cluster. |
NodeGroup
|
Field |
Description |
|
name |
string Required field. Name of the group. The maximum string length in characters is 63. Value must match the regular expression |
|
resources |
Resources allocated to the hosts. |
|
hostsCount |
string (int64) Number of hosts in the group. The minimum value is 1. |
|
zoneIds[] |
string IDs of the availability zones the hosts belong to. |
|
subnetIds[] |
string IDs of the subnets that the hosts belong to. The maximum string length in characters for each value is 50. The maximum number of elements is 10. |
|
assignPublicIp |
boolean Determines whether a public IP is assigned to the hosts in the group. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
Access
Access policy for external services.
|
Field |
Description |
|
dataTransfer |
boolean Determines whether the access to Data Transfer is allowed. |
|
serverless |
boolean Determines whether the access to Serverless is allowed. |
SnapshotManagement
Snapshot management configuration
|
Field |
Description |
|
snapshotSchedule |
Snapshot creation schedule |
|
snapshotMaxAgeDays |
string (int64) Snapshot max age in days The minimum value is 7. |
SnapshotSchedule
Snapshot creation schedule
|
Field |
Description |
|
hourlySnapshotSchedule |
Hourly based snapshot schedule Includes only one of the fields |
|
dailySnapshotSchedule |
Daily based snapshot schedule Includes only one of the fields |
|
weeklySnapshotSchedule |
Weekly based snapshot schedule Includes only one of the fields |
HourlySnapshotSchedule
Hourly based snapshot schedule
|
Field |
Description |
|
minute |
string (int64) The minute of the hour at which the backup should be created. Acceptable values are 0 to 59, inclusive. |
DailySnapshotSchedule
Daily based snapshot schedule
|
Field |
Description |
|
hour |
string (int64) The hour of the day in UTC timezone at which the backup should be created. Acceptable values are 0 to 23, inclusive. |
|
minute |
string (int64) The minute of the hour at which the backup should be created. Acceptable values are 0 to 59, inclusive. |
WeeklySnapshotSchedule
Weekly based snapshot schedule
|
Field |
Description |
|
day |
enum (WeekDay) Day of the week
|
|
hour |
string (int64) The hour of the day in UTC timezone at which the backup should be created. Acceptable values are 0 to 23, inclusive. |
|
minute |
string (int64) The minute of the hour at which the backup should be created. Acceptable values are 0 to 59, inclusive. |
AuditLog
OpenSearch audit logs settings.
|
Field |
Description |
|
complianceEnabled |
boolean Enables audit logging on changes to a security index, such as changes to roles mappings and role creation or deletion. For details, see OpenSearch documentation |
|
logRequestBody |
boolean Includes the body of the request (if available) for both REST and the transport layer. For details, see OpenSearch documentation |
|
logSearchQueries |
boolean Enables indices data read requests logging. |
|
logDataModifications |
boolean Enables indices data write request logging. |
|
logIndexMetadataAccess |
boolean Enables indices metadata requests logging. |
|
logMonitoringChecks |
boolean Enables monitoring data requests logging. |
|
logIndexMaintenance |
boolean Enables indices maintenance requests logging, such as indices refreshes, flushes and merges. |
|
logBackupOperations |
boolean Enables snapshots and repositories requests logging. |
MaintenanceWindow
An OpenSearch cluster maintenance window. Should be defined by either one of the two options.
|
Field |
Description |
|
anytime |
object An any-time maintenance window. Includes only one of the fields |
|
weeklyMaintenanceWindow |
A weekly maintenance window. Includes only one of the fields |
WeeklyMaintenanceWindow
A weekly maintenance window.
|
Field |
Description |
|
day |
enum (WeekDay) Day of the week.
|
|
hour |
string (int64) Hour of the day in the UTC timezone. Acceptable values are 1 to 24, inclusive. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |